textures/rush_human/tremorspark1
{
	{
		map textures/rush_human/tremorspark1.tga
		blendFunc blend
	}
}
textures/rush_human/fire2
{
	qer_editorimage textures/rush_human/fire2.tga
	deformVertexes autosprite
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	cull disable
	{
		map textures/rush_human/fire2.tga
		blendFunc GL_ONE GL_ONE// GL_DST_COLOR GL_ONE
	}
}
textures/rush_human/drip
{
	qer_editorimage textures/rush_human/drip.jpg
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	cull disable
	{
		map textures/rush_human/drip.jpg
		blendFunc GL_DST_COLOR GL_ONE
		// rgbgen identity
		tcmod scroll 0 -.5
	}
}
textures/rush_human/push
{
	qer_editorimage textures/rush_human/push.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/rush_human/push.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/rush_human/push.jpg
		rgbgen wave sin .2 .2 0 .3
		blendfunc add
	}
}
textures/rush_human/Audio_Log
{
	q3map_surfacelight 50
	qer_editorimage textures/rush_human/Audio_Log1.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		animMap 3 textures/rush_human/Audio_Log1.jpg textures/rush_human/Audio_Log2.jpg
	}
}
textures/rush_human/plexiglass
{
	qer_editorimage textures/rush_human/glass.tga
	qer_trans .5
	
	surfaceparm trans
//	surfaceparm lightfilter
	cull none

	{
		map $lightmap
		tcGen lightmap 
		blendFunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map textures/rush_human/glass.tga
		tcGen environment
		blendFunc add
		tcmod scale 1 1
		rgbGen const ( 0.05 0.05 0.1 )
	}
}
textures/rush_human/bubble
{
	entityMergable
	cull none
	{
		map textures/rush_human/bubble.tga
		blendFunc add // GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen	vertex
		alphaGen	vertex
	}
}

textures/rush_human/glass
{
	qer_editorimage textures/rush_human/glass.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
//	surfaceparm playerclip
//	cull none
	{
		map textures/rush_human/glass.tga
		blendfunc gl_dst_color gl_src_alpha
		blendfunc filter
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}
textures/rush_human/burn_mrk
{
	qer_editorimage textures/rush_human/burn_mrk.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/rush_human/burn_mrk.jpg
		blendfunc filter
	}
}

textures/rush_human/rlight_a_blend
{
	deformVertexes autosprite
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/rush_human/rlight_a_blend.jpg
		rgbGen vertex
		blendfunc GL_SRC_ALPHA GL_ONE
		alphaGen portal 256
	}
}

textures/rush_human/Screen_error
{
	qer_editorimage textures/rush_human/Screen_error.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		animMap 3 textures/rush_human/Screen_error1.jpg textures/rush_human/Screen_error1.jpg textures/rush_human/Screen_error1.jpg textures/rush_human/Screen_error2.jpg textures/rush_human/Screen_error3.jpg textures/rush_human/Screen_error1.jpg textures/rush_human/Screen_error4.jpg
	}
}

textures/rush_human/hull_dmged
{
	qer_editorimage textures/rush_human/hull_dmged.jpg
	surfaceparm noimpact
	{
		map textures/rush_human/hull_dmged.jpg
		// rgbGen identity
		// tcGen lightmap 
	}
	{
		map textures/rush_human/hull_dmged_h.jpg
		rgbgen wave sin .2 .2 0 .3
		blendfunc add
		// rgbGen identity
	}
}
textures/rush_human/water_still
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .002 .001
	}
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .0025 .0025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/rush_human/water
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	q3map_tessSize 64
	deformVertexes wave 200 sin 0 1 .5 .5
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/rush_human/nolightmap
{
	qer_editorimage textures/rush_human/nolightmap.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/rush_human/nolightmap.tga
	}
}

textures/rush_human/gratefloor02
{
	qer_editorimage textures/rush_human/gratefloor02.jpg
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm metalsteps
	cull none
       	nopicmip
	{
		map textures/rush_human/gratefloor02.jpg
		//tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rush_human/e6bsegrtflr256
{
	qer_editorimage textures/rush_human/e6bsegrtflr256.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans		
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm metalsteps
	cull none
       	nopicmip
	{
		map textures/rush_human/e6bsegrtflr256.tga
		//tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/rush_human/Cable2
{
	qer_editorimage textures/rush_human/Cable2.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rush_human/Cable2.jpg
		blendfunc filter
		rgbGen identity
	}
}
textures/rush_human/node_here
{
	qer_editorimage textures/rush_human/node_here.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map textures/rush_human/node_here2.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/rush_human/node_here2.jpg
		rgbgen wave sin .2 .2 0 .3
		blendfunc add
	}
}

textures/rush_human/monitor
{
	qer_editorimage textures/rush_human/bnw_line1.tga

	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm trans
	portal
	{
		map textures/rush_human/bnw.tga
		tcMod scale 4 1
		blendfunc filter
		depthWrite
		alphaGen portal 512
	}
	{
		map textures/rush_human/bnw_line1.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 1 0
	}
}

textures/rush_human/cable_pulsing
{
	qer_editorimage textures/rush_human/cable.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rush_human/cable.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rush_human/cable_e.jpg
		blendFunc GL_ONE GL_ONE
		// bgen wave sin .2 .2 0 .4
		tcMod Scroll -.1 0
		// blendFunc add
	}
}

textures/rush_human/cable_pulsing_2
{
	qer_editorimage textures/rush_human/cable.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rush_human/cable.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rush_human/cable_e2.jpg
		rgbgen wave sin .2 .2 0 .3
		//tcMod Scroll -.1 0
		blendFunc add
	}
}