textures/rush_human/water_electric
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	q3map_tessSize 64
	deformVertexes wave 200 sin 0 1 .5 .5
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
	{
		map textures/rush_human/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map textures/atcs/force_grid.tga
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//---Decals
textures/rush_human/stash_scrawlings1
{
	qer_editorimage textures/rush_human/stash_scrawlings1.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/rush_human/stash_scrawlings1.jpg
		blendfunc filter
	}
}
textures/rush_human/lava
{
	qer_editorimage textures/rush_human/lava.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/rush_human/lava.jpg
		blendfunc filter
	}
}
textures/rush_human/stash_scrawlings2
{
	qer_editorimage textures/rush_human/stash_scrawlings2.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/rush_human/stash_scrawlings2.jpg
		blendfunc filter
	}
}
textures/rush_human/stash_scrawlings3
{
	qer_editorimage textures/rush_human/stash_scrawlings3.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/rush_human/stash_scrawlings3.jpg
		blendfunc filter
	}
}

//---Other

textures/rush_human/gas
{
	entityMergable
	cull none
	{
		map textures/rush_human/gas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/rush_human/bacon_down
{
	qer_editorimage textures/rush_human/bacon_down.jpg
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	polygonoffset
	{
		map textures/rush_human/bacon_down.jpg
		blendfunc filter
	}
}

textures/rush_human/Battering_Ram
{
	qer_editorimage textures/rush_human/Battering_Ram.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
       	nopicmip
	surfaceparm nolightmap
	polygonoffset
	{
		map textures/rush_human/Battering_Ram.tga
		blendFunc GL_ONE GL_ONE // GL_ZERO
	}
}
textures/rush_human/Battering_Ram2
{
	qer_editorimage textures/rush_human/Battering_Ram2.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
       	nopicmip
	surfaceparm nolightmap
	polygonoffset
	{
		map textures/rush_human/Battering_Ram2.tga
		blendFunc GL_ONE GL_ONE // GL_ZERO
	}
}
textures/rush_human/defaultmental_ns
{
	qer_editorimage textures/rush_human/defaultmetal.jpg
	surfaceparm nonsolid
	surfaceparm noimpact
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rush_human/defaultmetal.jpg
		blendfunc filter
		rgbGen identity
	}
}
textures/rush_human/water_ps
{
	entityMergable
	cull none
	{
		map textures/rush_human/es_water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}
//---Lights

textures/rush_human/u_trlightline_blue
{
	qer_editorimage textures/rush_human/u_trlightline_blue.tga
	q3map_lightimage textures/rush_human/u_trlightline_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_trlightline_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_trlightline_blue_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/rush_human/u_lamp3
{
	qer_editorimage textures/rush_human/u_lamp3.tga
	q3map_lightimage textures/rush_human/u_lamp3_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamp3.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamp3_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/rush_human/u_lamp3_blue
{
	qer_editorimage textures/rush_human/u_lamp3_blue.tga
	q3map_lightimage textures/rush_human/u_lamp3_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamp3_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamp3_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/rush_human/u_lamp4
{
	qer_editorimage textures/rush_human/u_lamp4.tga
	q3map_lightimage textures/rush_human/u_lamp4_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamp4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamp4_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/rush_human/u_lamp4_blue
{
	qer_editorimage textures/rush_human/u_lamp4_blue.tga
	q3map_lightimage textures/rush_human/u_lamp4_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamp4_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamp4_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/rush_human/u_lamplong1_or
{
	qer_editorimage textures/rush_human/u_lamplong1_or.tga
	q3map_lightimage textures/rush_human/u_lamplong1_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamplong1_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamplong1_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.09 0 1 
	}
}

textures/rush_human/u_py1_or
{
	qer_editorimage textures/rush_human/u_py1_or.tga
	q3map_lightimage textures/rush_human/u_py1_or_glow.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2100
	{
		map textures/rush_human/u_py1_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_py1_or_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.25 
	}
}

textures/rush_human/u_lamplong1_gr
{
	qer_editorimage textures/rush_human/u_lamplong1_gr.tga
	q3map_lightimage textures/rush_human/u_lamplong1_gr_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rush_human/u_lamplong1_gr.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rush_human/u_lamplong1_gr_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.09 0 1 
	}
}